Subject: Reivised Service I-D responding to "Request for IESG Consideration on Service I-D"

From: "Toyoda, Kiyoshi" <[email-masked]>
Date: Wed, 01 Aug 2001 20:55:33 +0900

Folks,

I revised Service I-D attached. The revised points are below
"[email-masked] wrote:".  Please comment.

[email-masked] wrote:
>
>> A Simple Mode of Facsimile Using Internet Mail
>>   draft-ietf-fax-service-v2-03.txt
>
>> Status: Draft Standard
>
>A few things need to be fixed before this one will be ready for IETF
>last call.
>
>(1) This document apparently obsoletes RFC 2305 but never mentions RFC 2305.
>    At a minimum you need to have "Obsoletes: RFC 2305" in the document header,
>    you need to include RFC 2305 in the references, and you need to have a
>    section explaining the differences between this document and RFC 2305.

Revised draft mentions RFC2305 in SUMMARY and has APPENDIX B which explains 
the differences between this document and RFC 2305.

>
>(2) I don't insist on it, but since this document talks about "network
>    printers" some discussion of its relationship with IPP might be
>    appropriate.

I didn't revise the draft regarding this point.
If anybody has any idea, please comment it.

>
>(3) References [10] and [11] needs to be updated to refer to the recently
>    approved updates to RFC 2303 and RFC 2304. (It is OK to reference a
>    draft that is in the RFC publication queue, as these are.)

Revised draft refer to below
"draft-ietf-fax-faxaddr-v2-04.txt"
"draft-ietf-fax-minaddr-v2-04.txt"

>
>(4) This document has lots of references, some of which are normative and
>    some of which are not. (And yes, I'm well aware of the issue surrounding
>    the updates to the DSN specifications.) It would be really helpful if
>    you could separate the normative and non-normative references, making
>    it clear what needs to in place before this can actually be published.

I separate REFERENCES to the normative and non-normative. 

>
>(5) Appendix A uses the capitalized phrase "NOT REQUIRED". We try and reserve
>    use of capitalization of this sort to the terms defined in RFC 2119.
>    (And yes, I do realize that this wasn't caught in the previous version.)
>    I suggest that you either lower case these words or reword to use the
>    regular capitalized terms (MAY is the one that comes to mind).

"NOT REQUIRED" to "not required"

Kiyoshi Toyoda